unit main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, FileCtrl, ExtCtrls, Buttons, spSkinZip, spfilectrl, SkinCtrls,
  SkinBoxCtrls, spSkinUnZip, Mask, SkinData, DynamicSkinForm, SkinHint,
  spTrayIcon, spSkinShellCtrls;

type
  TCompressForm = class(TForm)
    spSkinZip1: TspSkinZip;
    spSkinPanel1: TspSkinPanel;
    FileNameEdit: TspSkinEdit;
    spSkinStdLabel1: TspSkinStdLabel;
    spSkinUnZip1: TspSkinUnZip;
    spSkinPanel2: TspSkinPanel;
    spSkinDriveComboBox1: TspSkinDriveComboBox;
    DirListBox: TspSkinDirectoryListBox;
    spSkinSplitter1: TspSkinSplitter;
    FileListBox: TspSkinFileListBox;
    spSkinSpeedButton1: TspSkinSpeedButton;
    spSkinSpeedButton2: TspSkinSpeedButton;
    spDynamicSkinForm1: TspDynamicSkinForm;
    spSkinData1: TspSkinData;
    spSkinHint1: TspSkinHint;
    spTrayIcon1: TspTrayIcon;
    OD: TspSkinOpenDialog;
    procedure DirListBoxCheckButtonClick(Sender: TObject);
    procedure spSkinSpeedButton1Click(Sender: TObject);
    procedure spSkinSpeedButton2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure DirListBoxChange(Sender: TObject);
  private
    { Private declarations }
  public
    procedure Compress;
    procedure LoadSkin(FileName: String);
  end;

var
  CompressForm: TCompressForm;

implementation

{$R *.DFM}

procedure TCompressForm.Compress;
var
  S: TStrings;
  i: Integer;
  FN: String;
begin
  if FileNameEdit.Text = '' then Exit;
  S := TStringList.Create;
  for i := 0 to FileListBox.Items.Count - 1 do
  begin
    FN := DirListBox.Directory + '\' + FileListBox.Items[i];
    S.Add(FN);
  end;  
  if S.Count > 0
  then
   spSkinZip1.ZipFiles(DirListBox.Directory + '\' + FileNameEdit.Text, S);
  S.Free;
end;

procedure TCompressForm.DirListBoxCheckButtonClick(
  Sender: TObject);
begin
  DirListBox.OpenCurrent;
end;

procedure TCompressForm.spSkinSpeedButton1Click(Sender: TObject);
begin
  Compress;
end;

procedure TCompressForm.LoadSkin;
var
  Path: String;
begin
  Path := ExtractFilePath(ParamStr(0));
  Path := Path + 'temp\';
  spSkinUnZip1.UnZipToDir(FileName, Path);
  spSkinData1.LoadFromFile(Path + 'skin.ini');
end;

procedure TCompressForm.spSkinSpeedButton2Click(Sender: TObject);
begin
  if OD.Execute then LoadSkin(OD.FileName);
end;

procedure TCompressForm.FormCreate(Sender: TObject);
var
  Path: String;
begin
  Path := ExtractFilePath(ParamStr(0));
  LoadSkin(Path + 'lagoon.zip');
  OD.InitialDir := Path;
end;


procedure TCompressForm.DirListBoxChange(Sender: TObject);
begin
  FileNameEdit.Text := DirListBox.Items[DirListBox.ItemIndex] + '.zip';
end;

end.
